[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TProxyStream.Check

Check errors

## Declaration

Source position: classesh.inc line 989

`public procedure TProxyStream.Check(`
`err: Integer`
`); virtual;`

## Description

Check will check the result of the IStream interface. This method must be overridden by descendant classes to return interface-specific errors.

## See also

#rtl.types.IStream |  | COM stream abstraction